# Syntax

## Get options

```
GET /v{version}/options
```

### Description

This API endpoint enables you to retrieve retrieve a collection of options filtered by a specific query.

### Parameters

| Type       | Name                           | Description                                                                                                                                 | Schema          | Default |
| ---------- | ------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------- | --------------- | ------- |
| **Header** | **Authorization**   *required* | This is the authorization token that you retrieved from the first endpoint (/token).                                                        | string          |         |
| **Header** | **Et-App-Key**   *required*    | This is your app’s unique key that can be retrieved from the BO Companies widget in Autoshares Trader.                                      | string          |         |
| **Path**   | **version**   *required*       | This is the version of the API. Unless you have multiple versions of Autoshares Trader’s API deployed in your environment, leave it at 1.0. | string          | `"1"`   |
| **Query**  | **desc**   *required*          | This is a boolean field that indicates if the returned options should be sorted in descending (true) or ascending (false) order.            | boolean         |         |
| **Query**  | **filter**   *optional*        | This is a filter query used to retrieve only those options that satisfy the conditions of the query.                                        | string (String) |         |
| **Query**  | **pageNumber**   *required*    | This is the page number (all options are split into pages).                                                                                 | integer (int32) |         |
| **Query**  | **pageSize**   *required*      | This is the number of options that should be retrieved from the specified page.                                                             | integer (int32) |         |
| **Query**  | **sortField**   *required*     | This is the field by which all retrieved options should be sorted.                                                                          | string          |         |

### Responses

| HTTP Code | Description                                                                                       | Schema                                                                                                                    |
| --------- | ------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------- |
| **200**   | Successful request, JSON data is returned, containing the collection of filtered options.         | < [OptionResource](/rest-api/trading-api/securities/get-filtered-options/securities_getoptions.md#optionresource) > array |
| **401**   | The access level of the provided authorization token is not sufficient to perform this operation. | No Content                                                                                                                |
| **403**   | The provided Et-App-Key is incorrect.                                                             | No Content                                                                                                                |
| **422**   | A validation error occurred while processing the request.                                         | No Content                                                                                                                |
| **500**   | Internal server error                                                                             | No Content                                                                                                                |

### Produces

* `application/json`
* `text/json`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-documentation.autoshares.dev/rest-api/trading-api/securities/get-filtered-options/securities_getoptions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
